package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * tab_haoban_open_staff
 */
public class OpenStaffDTO implements Serializable {
    /**
     * 主键
     */
    private Long openStaffId;

    /**
     * 企微id
     */
    private String wxEnterpriseId;

    /**
     * 成员id
     */
    private String staffId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 客户端id
     */
    private String uuid;

    /**
     * 是否删除1是0否
     */
    private Integer deleteFlag;

    /**
     * 0待验证 1授权中 2已过期
     */
    private Integer statusFlag;

    /**
     * 登录步骤
     */
    private Integer step;

    /**
     * 企微的userid
     */
    private Long qwUserId;

    /**
     * 企微的企业id
     */
    private Long wxCorpId;

    /**
     * 一次扫码内容
     */
    private String qrCode1;

    /**
     * 一次扫码内容
     */
    private String key1;

    /**
     * 二次扫码内容
     */
    private String qrCode2;

    /**
     * 二次扫码内容
     */
    private String key2;

    /**
     * 是否需要验证码
     */
    private Integer validFlag;

    /**
     * 最新授权时间
     */
    private Date authTime;

    /**
     * 首次授权时间
     */
    private Date firstAuthTime;

    /**
     * tab_haoban_open_staff
     */
    private static final long serialVersionUID = 1L;

    public Long getOpenStaffId() {
        return openStaffId;
    }

    public void setOpenStaffId(Long openStaffId) {
        this.openStaffId = openStaffId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId == null ? null : staffId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid == null ? null : uuid.trim();
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getStep() {
        return step;
    }

    public void setStep(Integer step) {
        this.step = step;
    }

    public Long getQwUserId() {
        return qwUserId;
    }

    public void setQwUserId(Long qwUserId) {
        this.qwUserId = qwUserId;
    }

    public Long getWxCorpId() {
        return wxCorpId;
    }

    public void setWxCorpId(Long wxCorpId) {
        this.wxCorpId = wxCorpId;
    }

    public String getQrCode1() {
        return qrCode1;
    }

    public void setQrCode1(String qrCode1) {
        this.qrCode1 = qrCode1 == null ? null : qrCode1.trim();
    }

    public String getKey1() {
        return key1;
    }

    public void setKey1(String key1) {
        this.key1 = key1 == null ? null : key1.trim();
    }

    public String getQrCode2() {
        return qrCode2;
    }

    public void setQrCode2(String qrCode2) {
        this.qrCode2 = qrCode2 == null ? null : qrCode2.trim();
    }

    public String getKey2() {
        return key2;
    }

    public void setKey2(String key2) {
        this.key2 = key2 == null ? null : key2.trim();
    }

    public Integer getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(Integer validFlag) {
        this.validFlag = validFlag;
    }

    public Date getAuthTime() {
        return authTime;
    }

    public void setAuthTime(Date authTime) {
        this.authTime = authTime;
    }

    public Date getFirstAuthTime() {
        return firstAuthTime;
    }

    public void setFirstAuthTime(Date firstAuthTime) {
        this.firstAuthTime = firstAuthTime;
    }
}